<template lang="html">
  <div class="container-fluid">
     <div class="row">
          <div class="col-md-4">
             <b>قرار ۱. شماره:‌ </b> ................
          </div>
          <div class="col-md-4">
              <h3>درخواست تحویلخانه</h3>
          </div>
          <div class="col-md-4">
             <b>فورممه ف س ۹</b>
          </div>
     </div>
     <div class="row">
          <div class="col-md-4">
             <b>تاریخ :</b>  {{s_fields.item_inquire_date}}
          </div>
          <div class="col-md-4">

          </div>
          <div class="col-md-4">
             <b>۳. اسم شعبه درخواست کننده</b>.....................
          </div>
     </div>
     <br>
     <div class="row mb-3">
       <table class="table-fees9">
         <thead>
          <tr>
             <th width="7%">شماره اقلام</th>
             <th width="8%">شماره ذخیره</th>
             <th width="60%">تفصیلات جنس خدمات</th>
             <th>مقدار</th>
             <th>واحد</th>
             <th>معامله شد بحساب</th>
          </tr>
         </thead>
         <tbody>
            <tr>
                <td>1</td>
                <td>2</td>
                <td><span v-html="s_fields.item_inquire_desc"></span></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr>
              <td colspan="5">
                اقلام.  که در آن خط گرفته شده است در تحویلخانه موجود نیست خریداری آن را درخواست گردد
                <br><br>
                <div class="row">
                <div class="col-md-6">
                  --------------------<br>
                  آمر تحویلخانه
                </div>
                <div class="col-md-6">
                  ---------------------<br>
                  آمر تحویلخانه
                </div>
              </div>
              </td>
              <td rowspan="2">
                 نمبر تکت توزیع
              </td>
            </tr>

         </tbody>
       </table>
     </div>
       <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
         <div class="m-portlet__body">
            <div class="form-group m-form__group col-lg-8">
                <label for="exampleInputEmail1">{{$t('global.file_browser')}}</label>
                <div></div>
                <div class="custom-file">
                  <input type="file" class="custom-file-input" id="inquire_file" multiple name="inquire_file" ref="file" @change="fileUpload" />
                  <label class="custom-file-label" for="customFile">{{$t('global.choose_file')}}</label>
                </div>
            </div>
         </div>

         <div class="form-group m-form__group col-lg-8 m-widget4">
             <div v-for="(file, key) in files" :id="key" class="m-widget4__item">
               <div class="m-widget4__img m-widget4__img--icon">
                 <img src="/fixed_assets/public/assets/app/media/img/files/doc.svg" alt="" />
               </div>
               <div class="m-widget4__info">
                 <span class="m-widget4__text">
                   {{ file.name }}
                 </span>
               </div>
               <div class="m-widget4__ext">
                 <a href="javascript:void(0)" v-on:click="removeFile( key )" class="m-widget4__icon">
                   <i class="la la-close"></i>
                 </a>
               </div>
             </div>
         </div>
         <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
             <div class="m-form__actions m-form__actions--solid">
                 <div class="row">
                     <div class="col-lg-2"></div>
                     <div class="col-lg-6">
                         <button type="submit" class="btn btn-brand">ارسال</button>
                         <router-link to="/items/inquire" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                     </div>
                 </div>
             </div>
         </div>
     </form>
  </div>
</template>

<script>
import SubmitForm from '../../router/SubmitForm.js';
export default {
  mixins: [SubmitForm],
  name: 'view-inquire',
  data() {
    return {
        'url': 'api/inquire',
         s_fields: {

         }
    }
  },
  created()
  {
    this.getDataForEdit();
    this.$root.$emit('getHeadTools','inquire-head-tools');
  }
}
</script>

<style lang="css" scoped>
</style>
